### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish.alerts

# Interface AlertTransportInterface

All Known Subinterfaces:
  `DAVAlertTransportInterface`, `MailAlertTransportInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public interface AlertTransportInterface
The AlertTransportInterface provides common behavior for delivery transports when sending alert notification messages. An alert delivery transport is a method of delivering an alert notification. How the notification is delivered is transport-specific.

Since:
  1.1.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.logging.log4j.Logger`
  `getLogger()`
  Deprecated.
  The Logging Service has been deprecated.
  `void`
  `send(TemplateInterface template)`
  Send the alert notification.
  `void`
  `setLogger(org.apache.logging.log4j.Logger logger)`
  Deprecated.
  The Logging Service has been deprecated.

- ## Method Details

  - ### send

    void send(TemplateInterface template) throws TransportException, IllegalArgumentException
    Send the alert notification. Merge variables can be provided with the template information. The delivery transport will perform the template substitutions, and then delivery the resulting alert notification.
    Parameters:
      `template` - The template.
    Throws:
      `TransportException` - If an error occurs sending the alert notification.
      `IllegalArgumentException` - If a `null` template is specified.

  - ### setLogger

    void setLogger(org.apache.logging.log4j.Logger logger)
    Deprecated.
    The Logging Service has been deprecated. Use Log4J directly instead of calling this method to get the Logging Service logger.
    Set the logger to be used by the Publish Services when logging publish activities.
    Parameters:
      `logger` - The logger.

  - ### getLogger

    org.apache.logging.log4j.Logger getLogger()
    Deprecated.
    The Logging Service has been deprecated. Use Log4J directly instead of calling this method to get the Logging Service logger.
    Returns the logger that is being used by the Publish Services to log publish activities.
    Returns:
      `Logger` The logger that is being used by the publish services for logging purposes.